Bug 222592 - kickstart groupselector fails
kickstart groupselector fails
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: 222591 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-01-14 19:04 EST by Jerry Williams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-31 15:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jerry Williams 2007-01-14 19:04:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; (R1 1.1); .NET CLR 1.1.4322; FDM; .NET CLR 2.0.50727)

Description of problem:
When you start system-config-kickstart it pops up a box that says:
"Retrieving package information" and after that closes there is a message in the terminal about GroupSelector tree_view failed.
The package selection doesn't have anything check and you can't look at individual packages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run system-config-kickstart from terminal
2.wait for "Retrieving package information" to finish
3.look in terminal window that system-config-kickstart was run from

Actual Results:
# system-config-kickstart
/usr/lib/python2.4/site-packages/pirut/GroupSelector.py:333: GtkWarning: gtk_tree_view_scroll_to_point: assertion `GTK_WIDGET_REALIZED (tree_view)' failed
  gobject.idle_add(lambda x: x.scroll_to_point(0, 0), tree)

Expected Results:
I think that is should run without errors and populate the product selections and let you view individual packages.

Additional info:
Comment 1 Jerry Williams 2007-01-14 19:13:26 EST
I think this is the file that has the problem, lines 165 or 166 I think.

    156 class Packages:
    157     def __init__(self, xml, ksdata):
    158         self.toplevel = xml.get_widget("main_window")
    159         self.ksdata = ksdata
    160         pbar = PirutProgressCallback(_("Retrieving package
information")        ,
    161                                      self.toplevel, num_tasks=10)
    162         pbar.show()
    164         self.y = sckYumBase(pbar)
    165         self.gs = sckGroupSelector(self.y, lambda fn:
"/usr/share/pirut/        ui/" + fn)
    166         self.gs.doRefresh()
    167         pbar.destroy()
Comment 2 Chris Lumens 2007-01-14 22:05:38 EST
*** Bug 222591 has been marked as a duplicate of this bug. ***
Comment 3 Chris Lumens 2007-01-31 14:15:52 EST
s-c-ks hasn't supported individual package selections for as long as I've been
maintaining it (as in, the program I inherited did not support that) so this is
more of a feature request and unlikely to get into FC6.  Changing version to
devel to reflect this.
Comment 4 Chris Lumens 2007-01-31 15:47:27 EST
Hm, that wasn't as much work as I originally planned, so this could possibly be
an FC6 update.  There's something else that needs to be fixed before I can make
an update though.  Please test the next version of s-c-kickstart in Rawhide and
let me know if this feature is working for you.  If so, I will work on making an

Note You need to log in before you can comment on or make changes to this bug.